/**********************************************************************************************************

         ██╗ ██████╗ ██████╗      ██████╗ ███████╗███████╗███████╗██████╗     ██████╗  ██████╗ ██╗  ██╗
         ██║██╔═══██╗██╔══██╗    ██╔═══██╗██╔════╝██╔════╝██╔════╝██╔══██╗    ██╔══██╗██╔═══██╗╚██╗██╔╝
         ██║██║   ██║██████╔╝    ██║   ██║█████╗  █████╗  █████╗  ██████╔╝    ██████╔╝██║   ██║ ╚███╔╝ 
    ██   ██║██║   ██║██╔══██╗    ██║   ██║██╔══╝  ██╔══╝  ██╔══╝  ██╔══██╗    ██╔══██╗██║   ██║ ██╔██╗ 
    ╚█████╔╝╚██████╔╝██████╔╝    ╚██████╔╝██║     ██║     ███████╗██║  ██║    ██████╔╝╚██████╔╝██╔╝ ██╗
     ╚════╝  ╚═════╝ ╚═════╝      ╚═════╝ ╚═╝     ╚═╝     ╚══════╝╚═╝  ╚═╝    ╚═════╝  ╚═════╝ ╚═╝  ╚═╝

 *********************************************************************************************************/




/* Main style. */
.job_offer-box {
}

    .job_offer-box .job_offer-read-more {
        width: 100%;
        display: flex;
        border-bottom: none;
        color: var(--ks-primary-white);
        margin-top: 0;
    }

        .job_offer-box .job_offer-read-more:is( :hover ) {
            color: var(--ks-primary-black) !important;
            background-color: transparent !important;
        }

    .job_offer-box .job_offer-read-more .job_offer-content {
        position: relative;
        width: 100%;
    }

        .job_offer-box .job_offer-read-more .job_offer-content .job_offer-content__text {
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate( -50%, -50% );
            z-index: 1;
        }

            .job_offer-box .job_offer-read-more .job_offer-content .job_offer-content__text .job_offer-title {
                margin-bottom: 10px;
            }

            .job_offer-box .job_offer-read-more .job_offer-content .job_offer-content__text .job_offer-read-more-text {
                visibility: hidden;
                font-family: var(--nvm-font-sans-serif-barlow);
                font-size: 12px;
            }

                .job_offer-box .job_offer-read-more:is( :hover ) .job_offer-content .job_offer-content__text .job_offer-read-more-text {
                    visibility: visible;
                }


        .job_offer-box .job_offer-read-more .job_offer-content .job_offer-decorative-bg {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: transparent;
            transition: all 0.25s ease-in-out;
        }

            .job_offer-box .job_offer-read-more:is( :hover ) .job_offer-content .job_offer-decorative-bg {
                background: var(--ks-primary-white);
            }